For Developers
List Extractions
GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/extractions
Returns a paginated list of extractions for the given source.
Permissions
Requires the extractions.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the source. |
$page | Number | No | Page number for pagination. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/extractions`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "4a18dc60-5ff0-482a-9e1e-28ebc9735d10",
"state": "completed",
"sequence": 42
}
]
}
